<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$nivel=$sessao->getVar('nivel');
//echo(" Operador: $nomeOperador<br>");

switch ($tela):
    case 'incluir':
	    $duplicado = FALSE;
        echo '<h2>Incluir um técnico no cadastro</h2>';
        if (post('cadastrar') !== ""):
            $user = new patogenos(array(
                'lip_nome_cientifico'=>post('nome'),
                'lip_nome_comum'=>post('nomecomum'),
                
            ));
            //aqui confere para ver se ja tem o crea mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
          
			//echo("duplicado = $duplicado <br>");
             
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=patogenos&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
                        
        endif;
 ?>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                    <table>
					<tr>
                      <td>Nome Cientifico:</td>
                      <td><input type="text" size="40" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->lip_nome_cientifico; ?>" /></td>
					</tr>
					<tr>
                      <td>nome comum:</td>
                      <td><input type="text" size="40" name="nomecomum"  value="<?php if($resbd) echo $resbd->lip_nome_comum; ?>" /></td>
					</tr>


					
					</table>
					Orientação: xxxxxxxxxxxx.

                    <ul>
                    <li class="center"><input type="button" onclick="location.href='?m=patogenos&t=listar'" value="Cancelar" /><input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;//final do case incluir

    case 'excluir':
        echo '<h2>Excluir patogenoss</h2>';
		$contagem=$sessao->getVar('controle');
		echo(" contagem=$contagem<br>");
        if($contagem>5):
	        $lip_id = get('id');
			echo("codigo do patogenos : id=$lip_id contagem=$contagem<br>");
	        //aqui vai deletar		
		    $generica=new tabelagenerica();
			$sql = "delete from resppatogenos where lip_id=".$lip_id ;
			$generica->grava_registro_com_retorno($sql);
			printMSG('Deletou técnico. <a href="?m=patogenos&t=listar">Exibir cadastros</a>','alerta');
        else:
			printMSG('Para evitar transtorno, o sistema obriga manter alguns técnicos. <a href="?m=patogenos&t=listar">Exibir cadastros</a>','alerta');
		endif;
    break;//final do case excluir	



    case 'listar':
        echo '<h2>Patógenos cadastrados.</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "200px",
				"sScrollX": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome Cientifico</th><th>Nome Comum</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new patogenos();
				$user->extras_select = "order by lip_nome_cientifico";
                $user->selecionaTudo($user);
                $contador=0;  
                while ($res = $user->retornaDados()):
                    $contador++;  
                    echo '<tr>';
                    printf('<td>%s',$res->lip_nome_cientifico);
                    printf('
					<a href="?m=patogenos&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=patogenos&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					<a href="?m=patogenos&t=excluir&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					</td>',$res->lip_id,$res->lip_id);
                    printf('<td>%s</td>',$res->lip_nome_comum);
                    echo '</tr>';
                endwhile; 
				
				
                $sessao->setVar("controle",$contador);  
			    //se nao tem nenhum patogenos ainda
				if($contador==0):
                    echo '<tr>';
					printf('<td>%s</td>','Clique no sinal + ');
					printf('<td class="center"><a href="?m=patogenos&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a> </td>');
					printf('<td>%s</td>','-O-');
	
                    echo '</tr>';
				endif;				
				
				
				
				             
                ?>
            </tbody>
			
			Observacao:Precisa vincular este patógeno, com a especie cultivada. Para fazer isso,  selecione um patógeno.
			
        </table>
        
        <?php        
    break;//final do case listar


    case 'editar':
        echo '<h2>Edição de técnico</h2>';
        $sessao = new sessao();
		if(post('manual') !== ""):
	       echo '<iframe src="manual2010.php?opcaoManual=editarpatogenos" style="border:0" width="100%" height="350"></iframe>';//funciona
 	    endif;	
		
		
		//aqui vai fazer a vinculação
		if(post('vincular') !== ""):
             $idPatogeno=post('id'); 
			 $especieLida=post('especieCultivada');
	         if(substr($especieLida,0,9)=='Selecione'):
				 printMSG('Precisa selecionar uma especie cultivada!','erro');
			 else:
				 list($especie,$idespecie)=explode(":",$especieLida);		
			     //echo 'esta em vincular'. $especie. $codigo;//funciona
		         //aqui vai salvar os dois codigos num registro novo
				 //primeiro examina se a vinculacao ja existe
				 //ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
					$generica->tabela="listapatogenoespecie";
					$generica->campos_valores = array(
							"lpe_especie_id" => NULL,
						);
					$generica->extras_select =" where lpe_especie_id=".$idespecie." and lpe_patogeno_id=".$idPatogeno;
				    $generica->selecionaCampos($generica);
					$conta=0;
					while ($resgenerica = $generica->retornaDados()):
					    $conta++;
				    endwhile;			 
				 //se conta=0 significa que a vinculacao ainda nao existia entao pode salvar
	             if($conta==0):			 
					 //aqui vai fazer a vinculação, caso nao exista ainda		 
					 $sql="insert into listapatogenoespecie(lpe_especie_id,lpe_patogeno_id)";
			         $sql.="values('$idespecie','$idPatogeno')";
			         $userNota = new generica();
			         $userNota->campos_valores = $sql;				 
					 $userNota->inserirEspecial($userNota);
					 printMSG('Vinculação criada, do fungo selecionado com a espécie cultivada. Quando for inserir dados numa amostra desta especie, vai aparecer este fungo, na listagem!','erro');
				 else:	 
					 printMSG('Esta vinculaçao ja existia e nada foi registrado!','erro');
			     endif;//verifica se a vinculacao por acaso ja existe		 
             endif;//verifica se a pessoa selecionu uma especie cultivada			 
 	    endif;//fim do isset referente ao botao vincular	
		
		//vai criar um vetor com as especies habilitadas
                $user = new especieshabilita();
				$user->extras_select = "where  hae_id_labo=".$idLabo." && hae_cod_especie=esp_id  order by esp_nome";
                $user->selecionaTudo($user);
                $contaCultivadas=0;
                while ($res = $user->retornaDados()):
                    $contaCultivadas++;
                    $vetor[$contaCultivadas]=$res->esp_nome.':'.$res->esp_id.':';
                endwhile;                		
		
		
		
		//fim da criação do vetor das especies cutlaivadas

            if (get('id') !== ""):
			    $duplicado=FALSE;
                $id = get('id');
				//echo("valor de id=$id   <br>");
                if (post('editar') !== ""):
                    $user = new patogenos(array(
                        'lip_nome_cientifico'=>post('nome'),
                        'lip_nome_comum'=>post('nomecomum'),
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE lip_id=".$id;
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->lip_nome_cientifico != post('nome')):
                        if ($user->existeRegistro('lip_nome_cientifico',post('nome'))):
                           printMSG('Este nome cientifico já existe no sistema!','erro');
                           $duplicado = TRUE;
                        endif;
                    endif;

                    if ($duplicado!=TRUE):
                        //echo("gravarsssssssssvalor diferentess de true vai gravar  de duplicado $duplicado<br>");					         
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=patogenos&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=patogenos&t=listar">Exibir cadastros</a>','alerta');
                        endif;
					else:	
						echo("valor igual de true de duplicado $duplicado<br>");	
                    endif;                    
                endif;
                $userbd = new patogenos();
                $userbd->extras_select = "WHERE lip_id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
				$nome=$resbd->lip_nome_cientifico;

            else:
                printMSG('cliente não definido, <a href="?m=patogenos&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
			
			//vai mostrar os fungos ja vinculados a esta especie
			if($idespecie>0):
               echo("Fungos ja vinculados à espécie selecionada! $especie <br>");			
			       loadCSS('data-table',NULL,TRUE);
			        loadJS('jquery-datatable');        
					?>
			        <script type="text/javascript">
			            $(document).ready(function(){
			               $("#listausers").dataTable({
			                "oLanguage": {
			                    "sZeroRecords": "Nenhuma amostra encontrada para exibição",
			                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
			                    "sInfoEmpty": "Nenhum registro para ser exibido",
			                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
			                    "sSearch": "Pesquisar",
			                },
			                "sScrollY": "150px",
			                "sScrollX": "250px",
			                "bPaginate": false,
			                "aaSorting": [[0, "asc"]] 
			               }); 
			            });
					
			        </script>
			        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
			            <thead>
			                <tr>
			 	               <th>Patogógeno</th>
			                </tr>
			            </thead>
			            <tbody>
			            <?php 
				
				        //ENTRA DE QUAKQUER MANEIRA para achar o ultimo
						$generica=new tabelagenerica();
						$generica->tabela="listapatogenoespecie,listapatogenos";
						$generica->campos_valores = array(
								"lip_nome_cientifico" => NULL,
							);
						$generica->extras_select ="  where lpe_patogeno_id=lip_id and lpe_especie_id=".$idespecie;
					    $generica->selecionaCampos($generica);
			            $contador=0;  
						while ($resgenerica = $generica->retornaDados()):
							echo '<tr>';
			 			    printf('<td>%s</td>',$resgenerica->lip_nome_cientifico);
							echo '</tr>';
			            endwhile;
						?>
			           </tbody>
			        </table>
					<br>
				  <?php
			endif;//se a pessoa clicou em vincular e havia selecionado uma especie entao mostra a grade
			
            ?>
            
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <table>
                      <input type="hidden" name="id"  value="<?php echo $id; ?>" />

					<tr>
                      <td>Nome Cientifico:</td>
                      <td><input type="text" size="40" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->lip_nome_cientifico; ?>" /></td>
					</tr>
					<tr>
                      <td>nome comum:</td>
                      <td><input type="text" size="40" name="nomecomum"  value="<?php if($resbd) echo $resbd->lip_nome_comum; ?>" /></td>
					</tr>
 
					</table>
					Legenda:
					<ul>
                    <li class="center">
					<input type="button" onclick="location.href='?m=patogenos&t=listar'" value="Cancelar" />
					<input type="submit" name="editar" value="Salvar Alterações" />
					<input type="submit" name="manual" value="Ajuda" />
					</li>

                       <select name="especieCultivada" value="">  
                       <option>Selecione espécie cultivada</option> 

					   <?php
					   for($i=1;$i<=$contaCultivadas;$i++):
                           echo "<option>".$vetor[$i]."</option>"; 
                       endfor;
					   ?> 
					   </select>
					<input type="submit" name="vincular" value="Vincular a especie cultivada, ao patógeno." />



                    </ul>
					
					
					
					
					
                </fieldset>
				Orientação:Esta tela tem dupla finalidade. A primeira finalidade é eventualmente editar o nome do patógenos, se precisar, e a segunda finalidade é vincular o patógeno à espécie cultivada. Sabemos que existem fungos que não incidem em certas culturas, então não precisa que toda lista de dezenas de fungos apareçam para seleção, toda vez que for registrar a ocorrencia destes fungos numa análise da amostra.<br>
				Para vincular, selecione primeiro a espécie cultivada, depois clique no botão vincular. 
				
				
            </form>
        <?php
    break;//case editar
	
	
 
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>